Package com.ocient.jdbc.proto

# Interface ClientWireProtocol.ExecuteQueryResponseOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.ExecuteQueryResponse`, `ClientWireProtocol.ExecuteQueryResponse.Builder`

Enclosing class:
  ClientWireProtocol

    public static interface ClientWireProtocol.ExecuteQueryResponseOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`int` | `getNumClientThreads()` | How many threads should the client use to fetch?
`String` | `getQueryId()` | The query ID (generated server side) can be used by a client to cancel/kill
`com.google.protobuf.ByteString` | `getQueryIdBytes()` | The query ID (generated server side) can be used by a client to cancel/kill
`boolean` | `getRedirect()` | Redirect = true, means we are telling client to send the command elsewhere
`String` | `getRedirectHost()` | `string redirectHost = 3;`
`com.google.protobuf.ByteString` | `getRedirectHostBytes()` | `string redirectHost = 3;`
`int` | `getRedirectPort()` | `fixed32 redirectPort = 4;`
`ClientWireProtocol.ConfirmationResponse` | `getResponse()` | `.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ConfirmationResponseOrBuilder` | `getResponseOrBuilder()` | `.xg.cmdcomp.ConfirmationResponse response = 1;`
`boolean` | `hasResponse()` | `.xg.cmdcomp.ConfirmationResponse response = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasResponse

boolean hasResponse()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### getResponse

ClientWireProtocol.ConfirmationResponse getResponse()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### getResponseOrBuilder

ClientWireProtocol.ConfirmationResponseOrBuilder getResponseOrBuilder()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### getRedirect

boolean getRedirect()

    Redirect = true, means we are telling client to send the command elsewhere

`bool redirect = 2;`

### getRedirectHost

String getRedirectHost()
`string redirectHost = 3;`

### getRedirectHostBytes

com.google.protobuf.ByteString getRedirectHostBytes()
`string redirectHost = 3;`

### getRedirectPort

int getRedirectPort()
`fixed32 redirectPort = 4;`

### getQueryId

String getQueryId()

     The query ID (generated server side) can be used by a client to cancel/kill

`string queryId = 5;`

### getQueryIdBytes

com.google.protobuf.ByteString getQueryIdBytes()

     The query ID (generated server side) can be used by a client to cancel/kill

`string queryId = 5;`

### getNumClientThreads

int getNumClientThreads()

    How many threads should the client use to fetch?

`fixed32 numClientThreads = 6;`